%define release_name V4.2.7
%define lower_release_name V4.2.7
%define release_date 202011
%define dist_version 8


Summary:        NewStartOS release files
Name:           nde-release 
Version:        0.0.1
Release:        13%{?dist}
License:        GPLv2
Group:          System Environment/Base
URL:            http://www.gd-linux.com
Source:         %{name}-%{version}.tar.gz
Obsoletes:      centos-release

Provides:       centos-release
Provides:       centos-release(upstream)
Provides:       redhat-release
Provides:       system-release
Provides:       system-release(%{version})
Provides:       system-release(releasever)

Provides:       base-module(platform:el%{dist_version})
Provides:       centos-release-eula
Provides:       redhat-release-eula

BuildArch:      noarch

%description
NewStartOS release files such as various /etc/ files that define the release.

%package zte
Summary:        NewStartOS ZTE release files
Requires:       nde-release = %{version}-%{release}

%description zte
NewStartOS ZTE release files such as various /etc/ files that define the release.


%prep
%setup -q

%build

%install
install -d $RPM_BUILD_ROOT/etc

#Create the common /etc/newstartos-release  /etc/system-release-cpe file
echo "NewStartOS release %{release_name}" > $RPM_BUILD_ROOT/etc/newstartos-release
echo "Derived from CentOS 8 (Source)" > $RPM_BUILD_ROOT/etc/newstartos-release-upstream
echo "cpe:/o:newstartos:newstartos:%{dist_version}" > $RPM_BUILD_ROOT/etc/system-release-cpe

# Symlink the -release files
# nsdl is not redhat, no need to create redhat-release
ln -s newstartos-release $RPM_BUILD_ROOT/etc/system-release


# Create the common os-release file
cat << EOF >>$RPM_BUILD_ROOT/etc/os-release
NAME="NewStartOS"
VERSION=%{release_name}.%{release_date}
ID=newstartos
VERSION_ID=%{lower_release_name}.%{release_date}
PLATFORM_ID="platform:el8"
PRETTY_NAME="NewStartOS %{release_name}.%{release_date}"
ANSI_COLOR="0;31"
HOME_URL="http://www.gd-linux.com/"
BUG_REPORT_URL="http://www.gd-linux.com/"
EOF

# Create os-release file for the ZTE editions
cp -p $RPM_BUILD_ROOT/etc/os-release \
      $RPM_BUILD_ROOT/etc/os-release.zte
sed -i -e "2s|%{release_name}.%{release_date}|%{release_name}.%{release_date}-ZTE|g" $RPM_BUILD_ROOT/etc/os-release.zte
sed -i -e "6s|%{release_name}.%{release_date}|%{release_name}.%{release_date}-ZTE|g" $RPM_BUILD_ROOT/etc/os-release.zte
sed -i -e "4s|%{lower_release_name}.%{release_date}|%{lower_release_name}.%{release_date}-zte|g" $RPM_BUILD_ROOT/etc/os-release.zte



# Create the common /etc/issue /etc/issue.net
echo "Kernel \r on an \m (\l)" >> $RPM_BUILD_ROOT/etc/issue
cp -p $RPM_BUILD_ROOT/etc/issue $RPM_BUILD_ROOT/etc/issue.net
echo >> $RPM_BUILD_ROOT/etc/issue


# set up the dist tag macros
install -d -m 755 $RPM_BUILD_ROOT/etc/rpm
cat >> $RPM_BUILD_ROOT/etc/rpm/macros.dist << EOF
# dist macros.

%%centos_ver %{dist_version}
%%centos %{dist_version}
%%rhel %{dist_version}
%%dist .el%{dist_version}
%%el%{dist_version} 1
EOF

mkdir -p -m 755 %{buildroot}/%{_datadir}/newstartos-release
install -m 644 EULA %{buildroot}/%{_datadir}/newstartos-release


mkdir -p -m 755 ${RPM_BUILD_ROOT}%{_docdir}/newstartos-release
install -m 644 COPYRIGHT ${RPM_BUILD_ROOT}%{_docdir}/newstartos-release
install -m 644 GPL ${RPM_BUILD_ROOT}%{_docdir}/newstartos-release


# copy systemd presets
mkdir -p %{buildroot}/%{_prefix}/lib/systemd/system-preset/
install -m 0644 85-display-manager.preset %{buildroot}/%{_prefix}/lib/systemd/system-preset/
install -m 0644 90-default.preset %{buildroot}/%{_prefix}/lib/systemd/system-preset/
install -m 0644 99-default-disable.preset %{buildroot}/%{_prefix}/lib/systemd/system-preset/


%clean
rm -rf $RPM_BUILD_ROOT

%post zte
/bin/rm -rf /etc/os-release
/bin/mv -f /etc/os-release.zte /etc/os-release

%posttrans
# modify grub loader conf release name
for file in `ls /boot/loader/entries/`;do
    if [ -f "/boot/loader/entries/${file}" ];then
        last_release=`sed -n 1p /boot/loader/entries/${file} | awk -F" " '{print $4}'| awk -F"-" '{print $1}'`
        sed -i "s/${last_release}/%{release_name}.%{release_date}/g" /boot/loader/entries/${file}
    fi
done


%files
%defattr(0644,root,root,0755)
/etc/system-release
/etc/newstartos-release
/etc/newstartos-release-upstream
/etc/os-release
/etc/system-release-cpe
/etc/issue
/etc/issue.net
/etc/rpm/macros.dist
%{_docdir}/newstartos-release/*
%{_datadir}/newstartos-release/*
%{_prefix}/lib/systemd/system-preset/*


%files zte
%defattr(0644,root,root,0755)
/etc/os-release.zte



%changelog
* Tue Oct 27 2020 Chen Pengzi <chen.pegnzi@zte.com.cn> - 0.0.1-13
- 升级版本v4.2.7

* Thu Oct 15 2020 Chen Pengzi <chen.pegnzi@zte.com.cn> - 0.0.1-12
- 升级版本v4.2.6

* Wed Sep 23 2020 Chen Pengzi <chen.pegnzi@zte.com.cn> - 0.0.1-11
- 升级版本v4.2.5

* Thu Sep 10 2020 Chen Pengzi <chen.pegnzi@zte.com.cn> - 0.0.1-10
- 升级版本v4.2.4

* Thu Aug 27 2020 Chen Pengzi <chen.pegnzi@zte.com.cn> - 0.0.1-6
- 升级版本v4.2.3

* Thu Aug 13 2020 Chen Pengzi <chen.pegnzi@zte.com.cn> - 0.0.1-5
- 升级版本v4.2.2

* Tue Aug 04 2020 Chen Pengzi <chen.pegnzi@zte.com.cn> - 0.0.1-4
- 升级发布版本号

* Tue Jun 30 2020 Chen Pengzi <chen.pegnzi@zte.com.cn> - 0.0.1-3
- 升级发布版本号

* Wed Jun 24 2020 Chen Pengzi <chen.pegnzi@zte.com.cn> - 0.0.1-2
- 升级发布版本号

* Tue Jun 2 2020 Zhang Wen <zhang.wen2@zte.com.cn> - 0.0.1-1
- 创建nde-release包
